package com.hungraim.ism;


import com.baomidou.mybatisplus.core.incrementer.IKeyGenerator;
import com.baomidou.mybatisplus.extension.incrementer.OracleKeyGenerator;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Bean;

/**
 * 申请服务
 *
 * @author zhangch
 */
@SpringBootApplication
@EnableDiscoveryClient
public class ApplyApplication {
    public static void main(String[] args) {
        SpringApplication.run(ApplyApplication.class, args);
    }

    /**
     * 注册oracle生成器
     * @return 返回mybatis-plus默认的oracle生成器
     */
    @Bean
    public IKeyGenerator getKeyGenerator() {
        return new OracleKeyGenerator();
    }

}
